Summary:         FreeForm data handler for Hyrax
Name:            dap-freeform_handler
Version:         3.8.8
Release:         2%{?dist}
License:         LGPLv2+
Group:           System Environment/Daemons 
Source0:         http://www.opendap.org/pub/source/freeform_handler-%{version}.tar.gz
#libfreeform.a needs to link against -lm
Patch0:          freeform_handler-3.8.1-libm.patch
URL:             http://opendap.org/FreeForm_Handler

BuildRequires:   libdap-devel >= 3.13.0
BuildRequires:   bes-devel >= 3.13.0
#For check, doesn't work in rpm
#BuildRequires:   dejagnu
Requires:        bes >= 3.13.0

%description 
This is the freeform data handler for the Hyrax data server. It reads ASCII,
binary and DB4 files which have been described using FreeForm and returns DAP
responses that are compatible with DAP2 and the dap-server software. 

%prep 
%setup -q -n freeform_handler-%{version}
%patch0 -p1 -b .libm

%build
%configure --disable-static --disable-dependency-tracking
make %{?_smp_mflags}

%install
make DESTDIR=$RPM_BUILD_ROOT install INSTALL="install -p"
rm $RPM_BUILD_ROOT%{_libdir}/bes/libff_module.la

#Doesn't work in RPM?
#%check
#make check

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%config(noreplace) %{_sysconfdir}/bes/modules/ff.conf
%{_libdir}/bes/libff_module.so
%{_datadir}/hyrax/
%doc COPYING COPYRIGHT NEWS README

%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Thu Jul 10 2014 Orion Poplawski <orion@cora.nwra.com> - 3.8.8-1
- Update to 3.8.8

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Aug 6 2013 Orion Poplawski <orion@cora.nwra.com> - 3.8.5-1
- Update to 3.8.5

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8.2-4
- Rebuilt for c++ ABI breakage

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 8 2011 Orion Poplawski <orion@cora.nwra.com> - 3.8.2-1
- Update to 3.8.2

* Fri Jul 16 2010 Orion Poplawski <orion@cora.nwra.com> - 3.8.1-2
- Rebuild for libdap soname bump

* Wed Jul 14 2010 Orion Poplawski <orion@cora.nwra.com> - 3.8.1-1
- Update to 3.8.1
- Add patch to link libfreeform.a against -lm

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.7.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul 22 2009 Orion Poplawski <orion@cora.nwra.com> - 3.7.12-1
- Update to 3.7.12
- Drop gcc43 patch fixed upstream

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.7.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Sep  5 2008 Patrice Dumas <pertusus@free.fr> 3.7.9-1
- update to 3.7.9

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 3.7.7-3
- Autorebuild for GCC 4.3

* Mon Dec 17 2007 Patrice Dumas <pertusus@free.fr> 3.7.7-2
- update to 3.7.7

* Fri Jun  1 2007 Patrice Dumas <pertusus@free.fr> 3.7.5-2
- rebuild against newer libdap

* Tue May  1 2007 Patrice Dumas <pertusus@free.fr> 3.7.5-1
- update to 3.7.5

* Tue Oct 31 2006 Patrice Dumas <pertusus@free.fr> 3.7.2-3
- rebuild for new libcurl soname (indirect dependency through libdap)

* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 3.7.2-2
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Wed Sep 20 2006 Patrice Dumas <pertusus@free.fr> 3.7.2-1
- update to 3.7.2

* Wed Sep  6 2006 Patrice Dumas <pertusus@free.fr> 3.7.1-3
- rebuild for FC-6

* Sat Jul 22 2006 Patrice Dumas <pertusus@free.fr> 3.7.1-2
- update  to 3.7.1

* Mon Feb 27 2006 James Gallagher <jgallagher@opendap.org> 3.6.0-1
- Update to 3.6.0

* Thu Sep 22 2005 James Gallagher <jgallagher@opendap.org> 3.5.0-1
- initial release
